        include cmacros.inc

        .MODEL SMALL
        .286

        .CODE

;-----------------------------------------------------------------------
;
; MultDivNR(a, b, c): calc a * b / c, with 32-bit intermediate result
;
; Same as MultDiv, except with no rounding.
;
cProc   MultDivNR,<PUBLIC>
        ParmW   a
        ParmW   b
        ParmW   c
cBegin
        mov     ax,a            ; calc (a * b) / c (no rounding)
        mov     cx,c
        or      cx,cx
        jz      mdnrexit        ; just return A if we'll get divide by 0
        imul    b
        idiv    cx
mdnrexit:
cEnd
END


